// Copyright (C) 2017 CEESAR, FITT, INRIA, UCBL-Ifsttar
// This file is part of the PIPER Framework.
// Version: 1.0.0
// 
// The PIPER Framework is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 2 of the License, or (at your
// option) any later version.
// 
// The PIPER Framework is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details. You should have received a copy of the GNU General Public
// License along with the PIPER Framework.
// If not, see <http://www.gnu.org/licenses/>.
// 
// Contributors include Erwan Jolivet (CEESAR); Aditya Chhabra, Sachiv
// Paruchuri, Dhruv Kaushik, Sukhraj Singh, Kshitij Mishra, Anoop Chawla (FITT);
// Thomas Lemaire (INRIA); Tomas Janak, Thomas Dupeux, Matthieu Mear (UCBL-
// Ifsttar)
// 
// This work has received funding from the European Union Seventh Framework
// Program ([FP7/2007-2013]) under grant agreement 605544 [PIPER project]).
// 
import QtQuick 2.0
import QtQuick.Layouts 1.1
import QtQuick.Controls 1.3
import QtQuick.Dialogs 1.2
import QtQuick.Controls.Styles 1.4

Dialog {
    id: root

    title: "Model name"
    standardButtons: StandardButton.Ok | StandardButton.Cancel
    Component.onCompleted: {
        width=500;
    }

    property alias text: modelname.text

    GridLayout {
        columns: 2
        rows: 2
        anchors.left: parent.left
        anchors.right: parent.right

        Label {
            id: label
            Layout.alignment: Qt.AlignLeft
            text: "Name of model in history:"
        }


        Button {
            id: validButton
            Layout.rowSpan: 2
            height:  parent.height
            anchors.bottom: parent.bottom
            action: validAction
            tooltip: "Checks if this name is not used yet and suggests a new one if it is"
        }

        TextField {
            id: modelname
            Layout.fillWidth: true
            focus: true
        }

        Action {
            id: validAction
            text: qsTr("Check")
            onTriggered: {
                root.text = context.getValidHistoryName(root.text)
            }
        }
    }
}
